<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetEnumeratorVariable Method (IEdmFile5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile5 Interface : GetEnumeratorVariable Method (IEdmFile5)

Visual Basic
C#
C++/CLI

bsOptionalPath
  Optional; full file path to the file to access; if not specified, uses location where this file is checked out (see Remarks)

Gets an interface to this file's data card variables.

# Syntax

Visual Basic |
--- | ---

    Function GetEnumeratorVariable( _
       Optional ByVal bsOptionalPath As System.String _
    ) As IEdmEnumeratorVariable5

C# |
--- | ---

    IEdmEnumeratorVariable5 GetEnumeratorVariable(
       System.string bsOptionalPath
    )

C++/CLI |
--- | ---

    IEdmEnumeratorVariable5^ GetEnumeratorVariable(
    &   System.String^ bsOptionalPath
    )

#### Parameters

bsOptionalPath
  Optional; full file path to the file to access; if not specified, uses location where this file is checked out (see Remarks)

#### Return Value

IEdmEnumeratorVariable5

# Example

Set Initial Revision (VB.NET)
Set Initial Revision (C#)
Set Part Number Using Default Serial Numbers (C#)
Set Part Number Using Default Serial Numbers (VB.NET)

# Remarks

You must check out a file in order to write variables in its data card.

See Return Codes for the complete list of potential success and error codes. The following are just a few examples:

- S_OK: The method successfully executed.
- E_EDM_FILE_NOT_FOUND: File not found on the specified path.

# See Also

####

IEdmFile5 Interface
IEdmFile5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2